Subject: Re: bug#28661: 25.3; closing fullscreen frame on macOS 10.13 High Sierra causes crash

From: Kevin Lin <[email-masked]>
Date: Sun, 1 Oct 2017 15:07:12 -0700

Hi,

Thanks for the quick response!

> Is it possible for you to try building a newer version? If you use
> homebrew I think you can do so with:
>
>     $ brew install emacs --HEAD

I tried, but my installation of homebrew is broken right now (probably
because of the 10.13 upgrade), and I don't have time to fix it right
at this moment.  I'll try building emacs on 10.13 in the next day or
two.

I did find that if I turned off fullscreen before deleting a frame,
then I don't get a crash.  Not that I'm proposing this as a solution
(though it can be automated via delete-frame-functions, as I have
done), but perhaps the information is useful.

Cheers,
Kevin